Announcement

Collapse
No announcement yet.

error when upgrading to 4.x.x

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • error when upgrading to 4.x.x

    I am trying to upgrade my site to 4.2.2 from 3.0.13. The upgrade to 3.8.7 went fine.

    When I run the upgrade scipt from 4.2.2, I get an error message saying:

    An error has occurred. Please contact vBulletin Support for assistance.

    Module: 400a1, Step 24 Error.

    Creation of InnoDB Table 'contenttype' failed. Contact support. Failure code 1005:121. Associated .frm file needs to be copied in to place and table properly deleted before table creation can continue.

    There is no contenttype table in my database, I checked.

    And what on earth is InnoDB?!?!

    Any help would be really appreciated.
    John Caradimas

  • #2
    What version of PHP and MySQL is on your server?

    Please don't PM or VM me for support - I only help out in the threads.
    vBulletin Manual & vBulletin 4.0 Code Documentation (API)
    Want help modifying your vbulletin forum? Head on over to vbulletin.org
    If I post CSS and you don't know where it goes, throw it into the additional.css template.

    W3Schools <- awesome site for html/css help

    Comment


    • #3
      PHP 5.3.3
      MySQL 5.1.69

      I had to edit the functions_installupgrade.php, to make it always return MyISAM, for the installation to proceed.
      John Caradimas

      Comment


      • #4
        Your host may not have enbled InnoDB on the server.

        Please don't PM or VM me for support - I only help out in the threads.
        vBulletin Manual & vBulletin 4.0 Code Documentation (API)
        Want help modifying your vbulletin forum? Head on over to vbulletin.org
        If I post CSS and you don't know where it goes, throw it into the additional.css template.

        W3Schools <- awesome site for html/css help

        Comment

        Related Topics

        Collapse

        Working...
        X